## python-django-simple-history 2.7.0

=== Makefile ===
all: init docs clean test

clean: clean-build clean-pyc
	rm -fr htmlcov/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

init:
	pip install "tox>=1.8" coverage Sphinx

test:
	coverage erase
	tox
	coverage html

docs: documentation

documentation:
	sphinx-build -b html -d docs/_build/doctrees docs docs/_build/html

dist: clean
	pip install -U wheel
	python setup.py sdist
	python setup.py bdist_wheel
	for file in dist/* ; do gpg --detach-sign -a "$$file" ; done
	ls -l dist

test-release: dist
	pip install -U twine
	gpg --detach-sign -a dist/*
	twine upload -r pypitest dist/*

release: dist
	pip install -U twine
	gpg --detach-sign -a dist/*
	twine upload dist/*

format:
	black simple_history

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-simple-history.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-simple-history.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-simple-history"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-simple-history"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-simple-history (2.7.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 13:46:54 +0100

python-django-simple-history (2.7.0-1) unstable; urgency=medium

  * Initial release

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Jan 2019 11:13:08 -0200

=== debian/control ===
Source: python-django-simple-history
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools (>= 0.6b3),
Standards-Version: 4.3.0
Homepage: https://github.com/treyhunner/django-simple-history
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-simple-history.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-simple-history
X-Python3-Version: >=3.6

Package: python3-django-simple-history
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-django,
Description: simple version control from Django model objects (Python 3)
 django-simple-history stores Django model state on every create/update/delete.
 Versions are stored in a parallel table, and can save all of the fields from
 the original table, or a subset of them.
 .
 This package provides django-simple-history for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = django-simple-history
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -p python3-django-simple-history  CHANGES.rst

override_dh_auto_test:
	@echo Skipping tests for now

## python-django-simple-history 3.1.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	find . -name '*~' -exec rm -f {} +
 
 init:
-	pip install "tox>=1.8" coverage Sphinx
+	pip install "tox>=1.8" coverage
 
 test:
 	coverage erase
@@ -24,7 +24,7 @@
 docs: documentation
 
 documentation:
-	sphinx-build -b html -d docs/_build/doctrees docs docs/_build/html
+	tox -e docs
 
 dist: clean
 	pip install -U wheel
@@ -44,4 +44,4 @@
 	twine upload dist/*
 
 format:
-	black simple_history
+	tox -e format

=== debian/changelog ===
python-django-simple-history (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * Add build dependency on python3-setuptools-scm
  * debian/watch: bump to version 4
  * Bump Standards-Version to 4.6.1; no changes required
  * Run upstream test suite under autopkgtest
  * Add runtime dependency on python3-pkg-resources

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 04 Aug 2022 19:53:38 -0300

python-django-simple-history (2.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jun 2022 21:57:20 -0400

=== debian/control ===
Source: python-django-simple-history
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools (>= 0.6b3),
               python3-setuptools-scm,
Standards-Version: 4.6.1
Homepage: https://github.com/treyhunner/django-simple-history
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-simple-history.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-simple-history
X-Python3-Version: >=3.6

Package: python3-django-simple-history
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-django,
         python3-pkg-resources,
Description: simple version control from Django model objects (Python 3)
 django-simple-history stores Django model state on every create/update/delete.
 Versions are stored in a parallel table, and can save all of the fields from
 the original table, or a subset of them.
 .
 This package provides django-simple-history for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME = django-simple-history
 export LC_ALL = C.UTF-8
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: runtests
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/treyhunner/django-simple-history/releases .*/v?(\d[\d\.]+)\.tar\.gz

## python-django-simple-history 3.7.0

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 	rm -fr htmlcov/
 
 clean-build:
-	rm -fr build/
 	rm -fr dist/
-	rm -fr *.egg-info
 
 clean-pyc:
 	find . -name '*.pyc' -exec rm -f {} +
@@ -27,9 +25,8 @@
 	tox -e docs
 
 dist: clean
-	pip install -U wheel
-	python setup.py sdist
-	python setup.py bdist_wheel
+	pip install -U build
+	python -m build
 	for file in dist/* ; do gpg --detach-sign -a "$$file" ; done
 	ls -l dist

=== debian/changelog ===
python-django-simple-history (3.7.0-2) unstable; urgency=medium

  * Drop dependency on python3-pkg-resources.
    This runtime dependency has been already dropped upstream.
    (Closes: #1083628)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 04 Oct 2024 07:56:23 -0300

python-django-simple-history (3.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

  [ Antonio Terceiro ]
  * fix debian/watch to work against new upstream release style
  * New upstream version 3.7.0
  * Add patch to skip unecessary metadata hook in pyproject.toml
  * Run tests during build and autokpgtest
  * Build using the pybuild pyproject plugin and hatchling
  * Bump Standards-Version to 4.7.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 Aug 2024 15:18:13 -0300

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-all,
                python3-django,
-               python3-setuptools (>= 0.6b3),
-               python3-setuptools-scm,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/treyhunner/django-simple-history
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-simple-history.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-simple-history
 X-Python3-Version: >=3.6
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-simple-history
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-django,
-         python3-pkg-resources,
 Description: simple version control from Django model objects (Python 3)
  django-simple-history stores Django model state on every create/update/delete.
  Versions are stored in a parallel table, and can save all of the fields from

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = django-simple-history
export LC_ALL = C.UTF-8
export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = {interpreter} runtests.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -p python3-django-simple-history  CHANGES.rst

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/jazzband/django-simple-history/releases?per_page=100 \
    https://api.github.com/repos/jazzband/django-simple-history/tarball/@ANY_VERSION@
